{% set rows_without_header = [{
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Vagupr raswiw swebr',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Drocruprist vunob croluspe',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Uecufrobride frisp chaspusta',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Nuspejav cushuso machivo',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Uatheclodra doshoho valu',
    tag: 'td',
  }],
}, {
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Vagupr raswiw swebr',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Drocruprist vunob croluspe',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Uecufrobride frisp chaspusta',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Nuspejav cushuso machivo',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Uatheclodra doshoho valu',
    tag: 'td',
  }],
},
{
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Lapr histegudoced drina',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Sliu mamocr mathewraget',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Spuwri swaswoshesl retauodrad',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Pravuta crekepujufr cathadris',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Lekiswalid mapi brar',
    tag: 'td',
  }],
},
{
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Woclarojucl gamilur uicru',
    tag: 'td',
    }, {
    attributes: create_attribute(),
    content: 'Thidis trura drisleve',
    tag: 'td',
    }, {
    attributes: create_attribute(),
    content: 'Miuebr dedabrusl broj',
    tag: 'td',
    }, {
    attributes: create_attribute(),
    content: 'Shebram chihom swus',
    tag: 'td',
    }, {
    attributes: create_attribute(),
    content: 'Gechesw tukade swim',
    tag: 'td',
    }],
},
{
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Voclecluslas judrephib crupeswuf',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Maspomaswamu kekiwruwumi pokachucomec',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Vimidriw thobramucedr salechaw',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Jetric cref chirishogush',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Pheve motoswenitas shotas',
    tag: 'td',
  }],
},
{
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Jabruspi jicrujajali phaclunagis',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Dotisuk phidumephef levephakou',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Wrepronodiha kastepugiv thestek',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Duca potropitridr pomuu',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: 'Braswa metr pruvau',
    tag: 'td',
  }],
}] %}

{% set header_row = [{
  attributes: create_attribute(),
  content: 'Tomcat donskoy',
  tag: 'th',
}, {
  attributes: create_attribute(),
  content: 'American bobtail tiger',
  tag: 'th',
}, {
  attributes: create_attribute(),
  content: 'Manx maine coon',
  tag: 'th',
}, {
  attributes: create_attribute(),
  content: 'Himalayan american bobtail birman',
  tag: 'th',
}, {
  attributes: create_attribute(),
  content: 'Abyssinian american bobtail',
  tag: 'th',
}] %}

{% set rows_with_header = [{
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Apple',
    tag: 'th',
  }, {
    attributes: create_attribute(),
    content: '0.031 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '0.047 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }],
}, {
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Banana',
    tag: 'th',
  }, {
    attributes: create_attribute(),
    content: '0.031 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '0.047 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }],
}, {
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Orange',
    tag: 'th',
  }, {
    attributes: create_attribute(),
    content: '0.031 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '0.047 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }],
}, {
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Lemon',
    tag: 'th',
  }, {
    attributes: create_attribute(),
    content: '0.031 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '0.047 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }],
}, {
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Lime',
    tag: 'th',
  }, {
    attributes: create_attribute(),
    content: '0.031 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '0.047 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }],
}, {
  attributes: create_attribute(),
  cells: [{
    attributes: create_attribute(),
    content: 'Pina',
    tag: 'th',
  }, {
    attributes: create_attribute(),
    content: '0.031 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '0.047 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }, {
    attributes: create_attribute(),
    content: '1000 mg',
    tag: 'td',
  }],
}] %}

{% stories table with { title: 'Atoms/Table' } %}
  {% story table with {
    name: 'Table without header',
  } %}
    {% include "@rocketship-theme-starter-atoms/07-tables/table.html.twig" with {
      no_striping: true,
      rows: rows_without_header,
    } %}
  {% endstory %}

  {% story table_striped with {
    name: 'Table striped',
  } %}
    {% include "@rocketship-theme-starter-atoms/07-tables/table.html.twig" with {
      rows: rows_without_header,
    } %}
  {% endstory %}

  {% story table_th_head with {
    name: 'Table with header TH in head',
  } %}
    {% include "@rocketship-theme-starter-atoms/07-tables/table.html.twig" with {
      no_striping: true,
      header: header_row,
      rows: rows_without_header,
    } %}
  {% endstory %}

  {% story table_tb_body with {
    name: 'Table with header TH in body',
  } %}
    {% include "@rocketship-theme-starter-atoms/07-tables/table.html.twig" with {
      no_striping: true,
      rows: rows_with_header,
    } %}
  {% endstory %}

  {% story table_th_head_th_body with {
    name: 'Table with header TH in head and body',
  } %}
    {% include "@rocketship-theme-starter-atoms/07-tables/table.html.twig" with {
      no_striping: true,
      header: [{
        attributes: create_attribute(),
        content: 'Fruit',
        tag: 'th',
      }, {
        attributes: create_attribute(),
        content: 'Vitamin A',
        tag: 'th',
      }, {
        attributes: create_attribute(),
        content: 'Vitamin B',
        tag: 'th',
      }, {
        attributes: create_attribute(),
        content: 'Vitamin B2',
        tag: 'th',
      }, {
        attributes: create_attribute(),
        content: 'Vitamin C',
        tag: 'th',
      }],
      rows: rows_with_header,
    } %}
  {% endstory %}
{% endstories %}
